For the complete documentation index, see llms.txt. This page is also available as Markdown.

Support Types

Support types list

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
pageintegerOptional

A page number within the paginated result set.

Responses
200

Get successful

application/json
countintegerOptionalExample: 1
nextstring · nullableOptional
previousstring · nullableOptional
get/support-types/
GET /api/v4/support-types/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
200

Get successful

{
  "count": 1,
  "next": "text",
  "previous": "text",
  "results": [
    {
      "name": "Palettes",
      "created": "2020-12-22T15:31:39.26167Z",
      "uid": "c8e4cc62-446a-11eb-a759-0242ac130005",
      "remote_id": "text"
    }
  ]
}

Create a support type

post
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
namestringRequired

Display name of the support type

Example: Palettes
remote_idstringOptional

The id of the support type in your system. It has to be unique.

Responses
201

Create successful

application/json

Type of the supports that are exchanged

namestringOptional

Display name of the support type

Example: Palettes
createdstring · date-timeOptional

Date of creation on our server

Example: 2020-12-22T15:31:39.26167Z
uidstring · uuidOptionalExample: c8e4cc62-446a-11eb-a759-0242ac130005
remote_idstringOptional

The id of the support type in your system.

post/support-types/
POST /api/v4/support-types/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "name": "Palettes",
  "remote_id": "text"
}
201

Create successful

{
  "name": "Palettes",
  "created": "2020-12-22T15:31:39.26167Z",
  "uid": "c8e4cc62-446a-11eb-a759-0242ac130005",
  "remote_id": "text"
}

Delete a support type

delete
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its uid then

  • replace the uid value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Responses
204

Empty body

No content

delete/support-types/{uid}/
DELETE /api/v4/support-types/{uid}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
204

Empty body

No content

Read a support type

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its uid then

  • replace the uid value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Responses
200

Get successful

application/json

Type of the supports that are exchanged

namestringOptional

Display name of the support type

Example: Palettes
createdstring · date-timeOptional

Date of creation on our server

Example: 2020-12-22T15:31:39.26167Z
uidstring · uuidOptionalExample: c8e4cc62-446a-11eb-a759-0242ac130005
remote_idstringOptional

The id of the support type in your system.

get/support-types/{uid}/
GET /api/v4/support-types/{uid}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
200

Get successful

{
  "name": "Palettes",
  "created": "2020-12-22T15:31:39.26167Z",
  "uid": "c8e4cc62-446a-11eb-a759-0242ac130005",
  "remote_id": "text"
}

Last updated

Was this helpful?